	 
  /**
*验证营业执照是否合法：营业执照长度须为15位数字，前14位为顺序码，
*最后一位为根据GB/T 17710 1999(ISO 7064:1993)的混合系统校验位生成算法
*计算得出。此方法即是根据此算法来验证最后一位校验位是否政正确。如果
*最后一位校验位不正确，则认为此营业执照号不正确(不符合编码规则)。
*以下说明来自于网络:
*我国现行的营业执照上的注册号都是15位的，不存在13位的，从07年开始国
*家进行了全面的注册号升级就全部都是15位的了，如果你看见的是13位的注
*册号那肯定是假的。
*15位数字的含义，代码结构工商注册号由14位数字本体码和1位数字校验码
*组成，其中本体码从左至右依次为：6位首次登记机关码、8位顺序码。　　
　　  *   一、前六位代表的是工商行政管理机关的代码，国家工商行政管理总局用
        *           “100000”表示，省级、地市级、区县级登记机关代码分别使用6位行
        *             政区划代码表示。设立在经济技术开发区、高新技术开发区和保税区
        *             的工商行政管理机关（县级或县级以上）或者各类专业分局应由批准
        *             设立的上级机关统一赋予工商行政管理机关代码，并报国家工商行政
        *             管理总局信息化管理部门备案。
　　  *   二、顺序码是7-14位，顺序码指工商行政管理机关在其管辖范围内按照先
        *             后次序为申请登记注册的市场主体所分配的顺序号。为了便于管理和
        *              赋码，8位顺序码中的第1位（自左至右）采用以下分配规则：
　　  *　　          1）内资各类企业使用“0”、“1”、“2”、“3”；
　　  *　　          2）外资企业使用“4”、“5”；
　　  *　　          3）个体工商户使用“6”、“7”、“8”、“9”。　　
　　  *   顺序码是系统根据企业性质情况自动生成的。　　
*   顺序码是系统根据企业性质情况自动生成的。　　
　　  *三、校验码是最后一位，校验码用于检验本体码的正确性
*/
    function isValidBusCode(busCode){
        var ret=false;
        if(busCode.length==15){
            var sum=0;
            var s=[];
            var p=[];
            var a=[];
            var m=10;
            p[0]=m;
            for(var i=0;i<busCode.length;i++){
               a[i]=parseInt(busCode.substring(i,i+1),m);
               s[i]=(p[i]%(m+1))+a[i];
               if(0==s[i]%m){
                 p[i+1]=10*2;
               }else{
                 p[i+1]=(s[i]%m)*2;
                }    
            }                                       
            if(1==(s[14]%m)){
               //营业执照编号正确!
                ret=true;
                //showToast("营业执照编号正确!");
            }else{
               //营业执照编号错误!
                ret=false;
                showToast("营业执照编号错误!");
             }
        }else if(""==busCode){//如果营业执照为空
			showToast("营业执照编号不能为空！");
            ret=false;
        }else{
            ret=false;
            showToast("营业执照格式不对，必须是15位数的！");
        }
        return ret;
    }
    
    //银行卡正则校验
function checkBankno(bankno) {
    var lastNum = bankno.substr(bankno.length - 1, 1);//取出最后一位（与luhm进行比较）
    var first15Num = bankno.substr(0, bankno.length - 1);//前15或18位
    var newArr = [];

    for (var i = first15Num.length - 1; i > -1; i--) { //前15或18位倒序存进数组
        newArr.push(first15Num.substr(i, 1));
    }

    var arrJiShu = []; //奇数位*2的积 <9
    var arrJiShu2 = []; //奇数位*2的积 >9
    var arrOuShu = []; //偶数位数组
    for (var j = 0; j < newArr.length; j++) {
        if ((j + 1) % 2 == 1) {//奇数位
            if (parseInt(newArr[j]) * 2 < 9)
                arrJiShu.push(parseInt(newArr[j]) * 2); else
                arrJiShu2.push(parseInt(newArr[j]) * 2);
        }
        else //偶数位
            arrOuShu.push(newArr[j]);
    }

    var jishu_child1 = [];//奇数位*2 >9 的分割之后的数组个位数
    var jishu_child2 = [];//奇数位*2 >9 的分割之后的数组十位数
    for (var h = 0; h < arrJiShu2.length; h++) {
        jishu_child1.push(parseInt(arrJiShu2[h]) % 10);
        jishu_child2.push(parseInt(arrJiShu2[h]) / 10);
    }

    var sumJiShu = 0; //奇数位*2 < 9 的数组之和
    var sumOuShu = 0; //偶数位数组之和
    var sumJiShuChild1 = 0; //奇数位*2 >9 的分割之后的数组个位数之和
    var sumJiShuChild2 = 0; //奇数位*2 >9 的分割之后的数组十位数之和
    var sumTotal = 0;
    for (var m = 0; m < arrJiShu.length; m++) {
        sumJiShu = sumJiShu + parseInt(arrJiShu[m]);
    }
    for (var n = 0; n < arrOuShu.length; n++) {
        sumOuShu = sumOuShu + parseInt(arrOuShu[n]);
    }
    for (var p = 0; p < jishu_child1.length; p++) {
        sumJiShuChild1 = sumJiShuChild1 + parseInt(jishu_child1[p]);
        sumJiShuChild2 = sumJiShuChild2 + parseInt(jishu_child2[p]);
    }
    //计算总和
    sumTotal = parseInt(sumJiShu) + parseInt(sumOuShu) + parseInt(sumJiShuChild1) + parseInt(sumJiShuChild2);
    //计算Luhm值
    var k = parseInt(sumTotal) % 10 == 0 ? 10 : parseInt(sumTotal) % 10;
    var luhm = 10 - k;
    if (lastNum == luhm) {
        return true;
    }
    else {
        return false;
    }
}
//校验电话
function checkTel(mobile){
    var phoneRegex = /^1(?:3\d|4[4-9]|5[0-35-9]|6[67]|7[013-8]|8\d|9\d)\d{8}$/;
    var telRegex = /^0\d{2,3}-?\d{7,8}$/;
   		if(telRegex.test(mobile) || phoneRegex.test(mobile)){
        return true;
    }else{
        return false;
    }
    }
    
    //UrlEncode函数
function UrlEncode(str){
  var ret="";
  var strSpecial="!\"#$%&'()*+,/:;<=>?[]^`{|}~%";
  for(var i=0;i<str.length;i++){
   var chr = str.charAt(i);
    var c=str2asc(chr);
    tt += chr+":"+c+"n";
    if(parseInt("0x"+c) > 0x7f){
      ret+="%"+c.slice(0,2)+"%"+c.slice(-2);
    }else{
      if(chr==" ")
        ret+="+";
      else if(strSpecial.indexOf(chr)!=-1)
        ret+="%"+c.toString(16);
      else
        ret+=chr;
    }
  }
  return ret;
}
//UrlDecode函数：
function UrlEncode(str){     
  var ret="";     
  var strSpecial="!\"#$%&'()*+,/:;<=>?[]^`{|}~%";     
  var tt= "";    
  for(var i=0;i<str.length;i++){     
   var chr = str.charAt(i);     
    var c=str2asc(chr);     
    tt += chr+":"+c+"n";     
    if(parseInt("0x"+c) > 0x7f){     
      ret+="%"+c.slice(0,2)+"%"+c.slice(-2);     
    }else{     
      if(chr==" ")     
        ret+="+";     
      else if(strSpecial.indexOf(chr)!=-1)     
        ret+="%"+c.toString(16);     
      else     
        ret+=chr;     
    }     
  }    
  log(ret) 
  return ret;     
}
//UrlDecode函数
function UrlDecode(str){     
  var ret="";     
  for(var i=0;i<str.length;i++){     
   var chr = str.charAt(i);     
    if(chr == "+"){     
      ret+=" ";     
    }else if(chr=="%"){     
     var asc = str.substring(i+1,i+3);     
     if(parseInt("0x"+asc)>0x7f){     
      ret+=asc2str(parseInt("0x"+asc+str.substring(i+4,i+6)));     
      i+=5;     
     }else{     
      ret+=asc2str(parseInt("0x"+asc));     
      i+=2;     
     }     
    }else{     
      ret+= chr;     
    }     
  }     
  return ret;     
} 
function str2asc(strstr){
	return ("0"+strstr.charCodeAt(0).toString(16)).slice(-2);
}
function checkPwd(pwd){
	var rightPwd = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[^]{8,16}$/;
	if(rightPwd.test(pwd)){
		return true;
	}else{
		return false;
	}
}

     Emp.page.render();